View Issue Details

IDProjectCategoryView StatusLast Update
0000592FreeCADBugpublic2012-02-13 14:44
Reporterseb_kuzminsky Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000592: SVG export of circles in multi-element groups is incorrect
DescriptionThere is a bug when FreeCAD exports circles as part of multi-element sketches (exporting a sketch containing just a circle works fine).

The attached file contains a sketch consisting of a rectangle and a circle. The bug can be reproduced by opening the file in FreeCAD, selecting the sketch, and exporting it as SVG. The exported SVG file contains a group with two paths. The first path is the rectangle, and it is correctly encoded. The second path is meant to be the circle, but it is incorrectly encoded.

For reference, please see section F.6.2 of the SVG spec, <http://www.w3.org/TR/SVG/implnote.html#ArcImplementationNotes> It states:

"If the endpoints (x1, y1) and (x2, y2) are identical, then this is equivalent to omitting the elliptical arc segment entirely."

Yet this is exactly how FreeCAD encodes the circle in the rectangle. (A sketch containing a circle by itself is encoded by a correctly formed SVG "circle" element.)

Manually changing the encoding the circle to two half-circles fixes the problem.
TagsNo tags attached.
FreeCAD Information

Activities

2012-02-07 15:11

 

circle-in-box.fcstd (Attachment missing)

yorik

2012-02-08 20:15

administrator   ~0001624

Thanks for reporting and furnishing a solution. I'll look into it ASAP.

yorik

2012-02-13 14:44

administrator   ~0001635

Fixed in commit edb20f1

Issue History

Date Modified Username Field Change
2012-02-07 15:11 seb_kuzminsky New Issue
2012-02-07 15:11 seb_kuzminsky File Added: circle-in-box.fcstd
2012-02-08 20:14 yorik Status new => assigned
2012-02-08 20:14 yorik Assigned To => yorik
2012-02-08 20:15 yorik Note Added: 0001624
2012-02-13 14:44 yorik Note Added: 0001635
2012-02-13 14:44 yorik Status assigned => closed
2012-02-13 14:44 yorik Resolution open => fixed
2012-02-13 14:44 yorik Fixed in Version => 0.13